$fn = 50;
//ArielTop(); 
//ArielCenter();
ArielBack();

module ArielTop(w=180,l=118,ht=41,ra=10,th=3){
 translate([0,0,-47])  
 difference(){ union(){ Form(w,l,ht,ra); Form(w-4,l-4,ht+4,ra-2);}
  translate([0,0,3])    Form(w-th*2,l-th*2,ht+4,ra-th);
  translate([8,23,0])   cylinder(d=12,4); // switch
  translate([8,-23,0])  cylinder(d=12,4); // switch
  translate([48,-23])   cylinder(d=12,4); // switch
  translate([68,0,0])   cube([6,14,7],center=true);    // switch
  translate([86,39,32]) rotate([0,90])cylinder(d=7,5); // Antenne
  translate([-90,39,32])rotate([0,90])cylinder(d=7,d2=4,3); }
 translate([0,0,-46]) difference() {cylinder(d=9,40);cylinder(d=3.2,41);}
}

module ArielCenter() { rotate([0,180]) 
 difference() { union(){ difference() { 
  minkowski(){translate([-80,-49,0]) cube([160,98,7]); cylinder(r=10);}
  minkowski(){translate([-80,-49,1]) cube([160,98,7]); cylinder(r=8);} }
 cylinder(d=9,8); } cylinder(d=4,9);}
}

module ArielBack(w=180,l=118,ht=20,ra=10)translate([0,0,10]) { 
 difference(){ union(){ 
 translate([0,0,-2.5]) difference(){ 
  minkowski(){translate([-58,-29,0]) cube([116,58,2]); cylinder(r=12);}
  difference(){ for (i=[-90:5:90]) {  
   translate([i,0,3.5]) rotate([0,45,30]) cube([2,98,3],center=true);
   translate([i,0,3.5]) rotate([0,45,-30])cube([2,98,3],center=true);}
  cylinder(d=32,4); }}
 rotate([0,180])Form(w,l,ht,ra);
 }
 translate([0,0,-16])  cube([181,119,12],center=true);
 translate([0,0,-3.5]) cylinder(d=24,5); 
 translate([0,0,-10])  cylinder(d=4,10); 
 }
 rotate_extrude(convexity=10) translate([12,-3.5,0]) circle(r=4); 
}

module Form(w,l,ht,ra)  hull() {
   translate([ra-w/2,ra-l/2,ra]) {sphere(r=ra); cylinder(r=ra,ht-ra);}
   translate([w/2-ra,ra-l/2,ra]) {sphere(r=ra); cylinder(r=ra,ht-ra);}
   translate([ra-w/2,l/2-ra,ra]) {sphere(r=ra); cylinder(r=ra,ht-ra);}
   translate([w/2-ra,l/2-ra,ra]) {sphere(r=ra); cylinder(r=ra,ht-ra);}
}